Package com.massivecraft.factions.zcore.util

## Class DiscUtil

- java.lang.Object
- - com.massivecraft.factions.zcore.util.DiscUtil

    public class DiscUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`DiscUtil()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.lang.String` | `read​(java.io.File file)` |
`static byte[]` | `readBytes​(java.io.File file)` |
`static java.lang.String` | `readCatch​(java.io.File file)` |
`static java.lang.String` | `utf8​(byte[] bytes)` |
`static byte[]` | `utf8​(java.lang.String string)` |
`static void` | `write​(java.io.File file, java.lang.String content)` |
`static void` | `writeBytes​(java.io.File file, byte[] bytes)` |
`static boolean` | `writeCatch​(java.io.File file, java.lang.String content, boolean sync)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscUtil

    public DiscUtil()

### Method Detail

#### readBytes

    public static byte[] readBytes​(java.io.File file)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeBytes

    public static void writeBytes​(java.io.File file,
                                  byte[] bytes)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    public static void write​(java.io.File file,
                             java.lang.String content)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public static java.lang.String read​(java.io.File file)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeCatch

    public static boolean writeCatch​(java.io.File file,
                                     java.lang.String content,
                                     boolean sync)

#### readCatch

    public static java.lang.String readCatch​(java.io.File file)

#### utf8

    public static byte[] utf8​(java.lang.String string)

#### utf8

    public static java.lang.String utf8​(byte[] bytes)